> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Run review: cycle detail + per-employee lines

> Run review: cycle detail + per-employee lines



## OpenAPI

````yaml /api-reference/openapi.json get /api/payroll/cycles/{id}/review
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/payroll/cycles/{id}/review:
    get:
      tags:
        - Payroll
      summary: 'Run review: cycle detail + per-employee lines'
      description: 'Run review: cycle detail + per-employee lines'
      operationId: getApiPayrollCyclesByIdReview
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  cycle:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      period:
                        type: string
                      periodLabel:
                        type: string
                      status:
                        type: string
                        enum:
                          - InProgress
                          - Disbursed
                      employeeCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      grossTotal:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      netTotal:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      disbursedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      stages:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              enum:
                                - AttendanceFreeze
                                - Inputs
                                - Calculate
                                - Review
                                - Disburse
                            state:
                              type: string
                              enum:
                                - Done
                                - Active
                                - Pending
                            dueDate:
                              type: string
                            completedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - name
                            - state
                            - dueDate
                            - completedAt
                      locksAt:
                        type: string
                      deductionTotal:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      lopCases:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      lopImpactTotal:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      otHoursTotal:
                        type: number
                      otPayoutTotal:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      anomalyCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - id
                      - period
                      - periodLabel
                      - status
                      - employeeCount
                      - grossTotal
                      - netTotal
                      - disbursedAt
                      - stages
                      - locksAt
                      - deductionTotal
                      - lopCases
                      - lopImpactTotal
                      - otHoursTotal
                      - otPayoutTotal
                      - anomalyCount
                  lines:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeName:
                          type: string
                        employeeCode:
                          type: string
                        department:
                          anyOf:
                            - type: string
                            - type: 'null'
                        paidDays:
                          type: number
                        lopDays:
                          type: number
                        otHours:
                          type: number
                        gross:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        deductions:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        net:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        flags:
                          type: array
                          items:
                            type: string
                            enum:
                              - LOPExceeded
                              - HighLOP
                              - HighOT
                              - GrossVariance
                              - Probation
                              - MissingPtSlab
                              - MissingTaxConfig
                      required:
                        - id
                        - employeeId
                        - employeeName
                        - employeeCode
                        - department
                        - paidDays
                        - lopDays
                        - otHours
                        - gross
                        - deductions
                        - net
                        - flags
                required:
                  - cycle
                  - lines
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````